Bug 238959 - Dell D420: Bluetooth only work after restart from Windows Vista
Dell D420: Bluetooth only work after restart from Windows Vista
Product: Fedora
Classification: Fedora
Component: bluez-libs (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2007-05-04 03:45 EDT by Patrick Steiner
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-21 06:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Steiner 2007-05-04 03:45:26 EDT
i have got a dell d420 notebook and bluetooth is only working if i restart from
windows vista. if i power off the notebook, bluetooth doesn't work anymore.

there is now hci0 device available.

i also have installed libsmbios stuff, and this looks like it works ( i can
enable /disable bluetooth). but only the led appears / disappears.

any ideas whats the problem?
Comment 1 Patrick Steiner 2007-05-10 01:44:45 EDT
fter hours of work i finally get the bluetooth working with linux!

the problem is a defect? firmware with the preinstalled windows vista 

i have now updated to another firmware after that bluetooth work without 
any problems.  :-) 

an here is a step by step howto. use this on you own risk.

- download the latest bluetooth drivers for windows XP for the d420 
currently this is R117967.exe
- extract it anywhere is used c:\dell\drivers\R117967
- run dfu.exe (from c:\dell\drivers\R117967\2kxp\dfu\ this takes some 
- after that blutooth should work in linux but it dont work anymore in 
vista  ;-) 
- this can be fixed by installing the windows xp drivers 
- after that you have to install the new version of the toshiba 
bluetooth stack (dell uses this one)
  from http://aps.toshiba-tro.de/bluetooth/pages/download.php

the only problem i found out is that the new software is only a 30 day 
test version.
but perhaps dell could be so nice and fix this problem.  ;-) 

another way could be to get the working firmware and upload it via the 
dfutool (bluez-utlils). but i don't have tested this yet.

Note You need to log in before you can comment on or make changes to this bug.